'use strict';
angular.module('qrzk')

    .config(function ($stateProvider, $urlRouterProvider, $httpProvider) {

        $stateProvider
            .state('corrigendum', {
                abstract: true,
                url: "/corrigendum",
                templateUrl: "resources/app/common/top.html"
            })

            .state('corrigendum.list', {
                url: "/list",
                templateUrl: "resources/app/corrigendum/list.html",
                ncyBreadcrumb: {
                    label: '课程更正管理'
                }
            })
            .state('corrigendum.add', {
                url: "/add",
                templateUrl: "resources/app/corrigendum/add.html",
                ncyBreadcrumb: {
                    label: '添加课程更正',
                    parent: 'corrigendum.list'
                }
            })
            .state('corrigendum.edit', {
                url: "/edit/:id",
                params: {id: null},
                templateUrl: "resources/app/corrigendum/add.html",
                ncyBreadcrumb: {
                    label: '编辑课程更正',
                    parent: 'corrigendum.list'
                }
            })

    });

